Index: src/arch/x86/init/bootblock.ld
===================================================================
--- src/arch/x86/init/bootblock.ld	(revision 6510)
+++ src/arch/x86/init/bootblock.ld	(working copy)
@@ -48,6 +48,8 @@
 		*(.note)
 		*(.comment.*)
 		*(.note.*)
-	}
-	_bogus = ASSERT((SIZEOF(.bss) + SIZEOF(.data)) == 0, "Do not use global variables in romstage");
+	}
+
+	CONFIG_AMD_AGESA = DEFINED(CONFIG_AMD_AGESA) ? CONFIG_AMD_AGESA : 0;
+	_bogus = ASSERT((SIZEOF(.bss) + SIZEOF(.data)) == 0 || CONFIG_AMD_AGESA, "Do not use global variables in romstage");
 }
